Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesMethodReferenceExpressionWriter

- org.codehaus.groovy.classgen.asm.sc.StaticTypesMethodReferenceExpressionWriter

- All Implemented Interfaces and Traits:
    AbstractFunctionalInterfaceWriter

      public class StaticTypesMethodReferenceExpressionWriter
      extends MethodReferenceExpressionWriter
      implements AbstractFunctionalInterfaceWriter

  Generates bytecode for method reference expressions in statically-compiled code.

  Since:
    3.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MethodPointerExpressionWriter` | `controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticTypesMethodReferenceExpressionWriter(WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `writeMethodReferenceExpression(MethodReferenceExpression methodReferenceExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodReferenceExpressionWriter` | `writeMethodReferenceExpression`
    `class MethodPointerExpressionWriter` | `writeMethodPointerExpression`

- - ### Constructor Detail

    - #### public StaticTypesMethodReferenceExpressionWriter(WriterController controller)

  - ### Method Detail

    - #### @Override
      public void writeMethodReferenceExpression(MethodReferenceExpression methodReferenceExpression)